Package org.apache.sysds.runtime.compress.lib

# Class CLALibBinCompress

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibBinCompress

public class CLALibBinCompress extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static ColumnEncoderBin.BinMethod`
`binMethod`

## Constructor Summary

Constructors
Constructor
Description
`CLALibBinCompress()`

## Method Summary

Modifier and Type
Method
Description
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,FrameBlock>`
`binCompress(CacheBlock<?> X, MatrixBlock d, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### binMethod

public static ColumnEncoderBin.BinMethod binMethod

## Constructor Details

### CLALibBinCompress

public CLALibBinCompress()

## Method Details

### binCompress

public static org.apache.commons.lang3.tuple.Pair<MatrixBlock,FrameBlock> binCompress(CacheBlock<?> X, MatrixBlock d, int k)